#
# Conditional build:
%bcond_with	qt5		# Use Qt5 (instead of Qt4)

%define		qt4ver	4.8.0
Summary:	Estonian ID card utility
Name:		qesteidutil
Version:	3.8.0.1106
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://installer.id.ee/media/sources/%{name}-%{version}.tar.gz
# Source0-md5:	4e5a792fa4de027d367a26b4f0b82ac1
Patch0:		system_qtsingleapplication.patch
Patch1:		desktop.patch
URL:		http://www.ria.ee/
BuildRequires:	cmake >= 2.8
BuildRequires:	desktop-file-utils
BuildRequires:	openssl-devel
BuildRequires:	pcsc-lite-devel
%if %{with qt5}
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake
%else
BuildRequires:	QtGui-devel >= %{qt4ver}
BuildRequires:	QtNetwork-devel >= %{qt4ver}
BuildRequires:	QtSingleApplication-devel >= 2.6.1
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildConflicts:	Qt5Widgets-devel
%endif
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QEsteidUtil is an application for managing Estonian ID Card. In an
user-friendly interface it is possible to change and unlock PINs,
examine detailed information about personal data file on the card,
extract and view certificates, set up mobile ID, and configure
@eesti.ee email.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Remove bundled qtsingleapplication to make sure it isn't used
rm -r qtsingleapplication

%build
install -d build
cd build
%cmake \
%ifarch %{arm} %{ix86} %{x8664}
	-DBREAKPAD=ON \
%endif
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/qesteidutil.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS README RELEASE-NOTES.txt
%attr(755,root,root) %{_bindir}/qesteidutil
%{_mandir}/man1/qesteidutil.1*
%{_desktopdir}/qesteidutil.desktop
%{_iconsdir}/hicolor/*/apps/qesteidutil.png
%changelog
* Thu Jul 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qesteidutil.git;a=log;h=master

* Mon Feb 23 2015 Elan Ruusamäe <glen@delfi.ee> 7f877c1
- fix for clementine api patched QtSingleApplication ambiguity

* Sun Feb 22 2015 Elan Ruusamäe <glen@delfi.ee> f788d81
- build with system qtsingleapplication

* Sun Feb 22 2015 Elan Ruusamäe <glen@delfi.ee> de3b63b
- update/cleanup BR

* Sun Feb 22 2015 Elan Ruusamäe <glen@delfi.ee> 646e359
- add qt5 bcond, ensure consistent build

* Sun Feb 22 2015 Elan Ruusamäe <glen@delfi.ee> cbd742c
- up to 3.8.0.1106

* Thu Jan 23 2014 Jan Rękorajski <baggins@pld-linux.org> 56e313d
- release 2 (by relup.sh)

* Sun Jan 08 2012 Elan Ruusamäe <glen@pld-linux.org> dae8456
- up to 0.3.1

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e3982b
- release 3

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> bff0a83
- BR: QtXmlPatterns-devel, qt4-linguist

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 649204b
- Requires(post,postun): gtk-update-icon-cache

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 49ca6d3
- include add Security to Categories in .desktop

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> ff9ad97
- new, based on fedora spec

